﻿Imports System.Data.SqlClient


Namespace greyhound


    Partial Class LDConfiguration
        Inherits System.Web.UI.Page
        Private convar As SqlConnection
        Private comvar As SqlCommand
        Private reader As SqlDataReader
        Dim locid, i, deptid As Integer
        Dim locname, deptname, temp As String

        Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
            convar = New SqlConnection(ConfigurationManager.AppSettings("con"))
            'Put user code to initialize the page here
            convar.Open()
            lbldisplay.Text = ""
            If Not IsPostBack Then
                filldata()
            End If
        End Sub
        Private Sub filldata()

            comvar = New SqlCommand("select location_name from location", convar)
            reader = comvar.ExecuteReader
            loclist.Items.Clear()
            Do While reader.Read
                loclist.Items.Add(reader(0))
            Loop
            loclist.Items.Insert(0, "select")
            comvar.Dispose()
            reader.Close()

        End Sub

        Protected Sub cmdadd_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdadd.Click
            addnewlcpanel.Visible = True
            editlcpanel.Visible = False
        End Sub

        Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
            If loclist.selectedIndex > 0 Then
                addnewlcpanel.Visible = False
                editlcpanel.Visible = True
                editlc.Value = loclist.selectedItem.Value
            End If

        End Sub

        Protected Sub Button3_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button3.Click
            If loclist.SelectedIndex >= 0 Then
                adddeppanel.Visible = True
            End If
        End Sub

        Protected Sub Button4_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button4.Click
            If deplist.selectedIndex >= 0 Then
                editdeppanel.Visible = True
                editdep.Value = deplist.selectedItem.ToString
            End If
        End Sub

        Protected Sub loclist_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles loclist.SelectedIndexChanged
            deplist.Items.Clear()
            If loclist.SelectedIndex > 0 Then
                locname = loclist.SelectedItem.Value

                comvar = New SqlCommand("select location_id from location where location_name='" & locname & "'", convar)
                reader = comvar.ExecuteReader
                Do While reader.Read
                    locid = reader(0)
                Loop
                comvar.Dispose()
                reader.Close()

                comvar = New SqlCommand("select dept_name from department where location_id=" & locid, convar)
                reader = comvar.ExecuteReader
                Do While reader.Read
                    deplist.Items.Add(reader(0))
                Loop
                comvar.Dispose()
                reader.Close()
                loctid.Text = locid
            End If

        End Sub

        Protected Sub cmdaddlcok_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdaddlcok.Click
            locname = Request.Form("addnewlc")

            For i = 1 To loclist.Items.Count - 1
                If locname = loclist.Items(i).Value Then

                End If
            Next
            comvar = New SqlCommand("select max(location_id) from location", convar)
            reader = comvar.ExecuteReader
            locid = 0
            Do While reader.Read
                If Not IsDBNull(reader(0)) Then
                    locid = reader(0)
                End If
            Loop
            If locid < 100 Then
                locid = 100
            End If
            locid = locid + 1
            comvar.Dispose()
            reader.Close()


            comvar = New SqlCommand("insert into location values(" & locid & ",'" & locname & "')", convar)
            comvar.ExecuteNonQuery()
            comvar.Dispose()

            loclist.Items.Add(locname)
            lbldisplay.Text = "Inserted Successfully"
            addnewlcpanel.Visible = False

        End Sub

        Protected Sub cmdlccancel_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdlccancel.Click
            addnewlcpanel.Visible = False
        End Sub

        Protected Sub cmdeditlcok_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdeditlcok.Click
            locname = editlc.Value

            For i = 1 To loclist.Items.Count - 1
                If locname = loclist.Items(i).Value Then


                End If
            Next

            temp = loclist.SelectedItem.ToString
            comvar = New SqlCommand("update location set location_name='" & locname & "' where location_name='" & temp & "'", convar)
            comvar.ExecuteNonQuery()
            comvar.Dispose()

            i = loclist.SelectedIndex
            loclist.Items.RemoveAt(i)

            loclist.Items.Insert(i, locname)
            lbldisplay.Text = "Modified Successfully"
            editlcpanel.Visible = False
        End Sub

        Protected Sub cmdeditlccancel_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdeditlccancel.Click
            editlcpanel.Visible = False
        End Sub

        Protected Sub cmdadddepok_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdadddepok.Click
            deptname = Request.Form("adddep")
            For i = 0 To deplist.Items.Count - 1
                If deptname = deplist.Items(i).Value Then
                End If
            Next

            comvar = New SqlCommand("select max(dept_id) from department", convar)
            reader = comvar.ExecuteReader
            deptid = 0
            Do While reader.Read
                If Not IsDBNull(reader(0)) Then
                    deptid = reader(0)
                End If
            Loop
            If deptid < 100 Then
                deptid = 100
            End If
            deptid = deptid + 1
            comvar.Dispose()
            reader.Close()

            locid = Val(loctid.Text)
            comvar = New SqlCommand("insert into department values(" & deptid & "," & locid & ",'" & deptname & "')", convar)
            comvar.ExecuteNonQuery()
            comvar.Dispose()

            deplist.Items.Add(deptname)
            lbldisplay.Text = "Inserted Dept details successfully"
            adddeppanel.Visible = False
        End Sub

        Protected Sub cmdadddepcancel_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdadddepcancel.Click
            adddeppanel.Visible = False
        End Sub

        Protected Sub cmdeditdepok_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdeditdepok.Click
            deptname = editdep.Value
            For i = 0 To deplist.Items.Count - 1
                If deptname = deplist.Items(i).Value Then


                End If
            Next
            locid = Val(loctid.Text)
            temp = deplist.SelectedItem.ToString
            comvar = New SqlCommand("update department set dept_name='" & deptname & "' where dept_name='" & temp & "' and location_id=" & locid, convar)
            comvar.ExecuteNonQuery()
            comvar.Dispose()

            i = deplist.SelectedIndex
            deplist.Items.RemoveAt(i)

            deplist.Items.Insert(i, deptname)
            lbldisplay.Text = "Department Details Modified Successfully"
            editdeppanel.Visible = False
        End Sub

        Protected Sub cmdeditdepcancel_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdeditdepcancel.Click
            editdeppanel.Visible = False
        End Sub

        Protected Sub Button2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button2.Click
            comvar = New SqlCommand("delete from  location where location_name='" & Trim(loclist.SelectedItem.Text) & "'", convar)
            comvar.ExecuteNonQuery()
            lbldisplay.Text = "Deleted Location Details Successfully"
            comvar.Dispose()
            filldata()
        End Sub

        Protected Sub Button5_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button5.Click
            'deplist
            If deplist.SelectedIndex > -1 Then
                comvar = New SqlCommand("delete from  department where dept_name='" & Trim(deplist.SelectedItem.Text) & "'", convar)
                comvar.ExecuteNonQuery()
                lbldisplay.Text = "Deleted Deparment Details Successfully"
                comvar.Dispose()
            End If
        End Sub
    End Class
End Namespace